Subject: Re: [bitcoin-dev] This thread is not about the soft/hard fork technical debate

From: Peter R <[email-masked]>
Date: Mon, 5 Oct 2015 10:33:55 -0700

Dear Bitcoin Development Community:

I would like to share my opinion that Mike is correct regarding the soft fork versus hard fork debate. I agree that CLTV should be done with a hard fork for the reasons that Mike has discussed several times in the past (mainly that a hard forks requires active consensus while a soft fork requires only indifference).  I believe this is a controversial change and—if Core Dev believes that controversial changes to the consensus rules must not happen—then my interpretation is that CLTV should not happen in its current form.  

I also agree with Mike that Core's requirement for unanimous consensus results in development grid lock and should be revisited.  In my opinion, the idea that unanimity is required should be replaced with the idea that the longest chain composed of valid transactions is the correct chain.  It shouldn’t matter really how the chain becomes the longest—only that it does.  

I believe that a good way to return power to the bitcoin community is to foster mutiple forkwise-compatible implementations of the protocol.  Each implementation could have its own governance model and design objectives and use techniques like BIP101’s 750/1000 signalling mechanism to activate changes that may be desirable to the community.  If a super majority does not support the change, then it won’t be activated.  I created an animated GIF that visualizes one possibility for how multiple protocol implementations might emerge over time:

https://www.reddit.com/r/bitcoinxt/comments/3nhq9t/deprecating_bitcoin_core_visualizing_the/ <https://www.reddit.com/r/bitcoinxt/comments/3nhq9t/deprecating_bitcoin_core_visualizing_the/>

Decentralizing development and supporting multiple forkwise-compatible implementations of the protocol is a worthwhile goal that will simultaneously make Bitcoin more robust and more responsive to the will of the market.

Nodes would express their acceptance of a block by mining on top of it.  Consensus would be determined by the code we choose to run. 

Best regards,
Peter 

> On Oct 5, 2015, at 10:01 AM, Paul Sztorc via bitcoin-dev <[email-masked]> wrote:
> 
> On 10/5/2015 12:56 PM, Mike Hearn via bitcoin-dev wrote:
>> 
>> As everyone in the Bitcoin community has been clearly told that
>> controversial changes to the consensus rules must not happen, it's
>> clear that CLTV cannot happen in its current form.
> 
> _______________________________________________
> bitcoin-dev mailing list
> [email-masked]
> https://lists.linuxfoundation.org/mailman/listinfo/bitcoin-dev